SHARE
TWEET

Untitled

a guest Jul 18th, 2019 54 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Preparing source... done
  2. Creating test run... done
  3. Running setup and attaching to test dyno...
  4. ~ $ ci setup && eval $(ci env)
  5. 2019/07/18 15:35:52 setting up a signal handler for SIGTERM
  6. -----> Fetching heroku/ruby buildpack...
  7.        buildpack downloaded
  8. -----> Fetching heroku/nodejs buildpack...
  9.        buildpack downloaded
  10. -----> Fetching https://github.com/heroku/heroku-buildpack-google-chrome buildpack...
  11.        buildpack downloaded
  12. -----> Ruby app detected
  13. -----> Setting up Test for Ruby/Rails
  14. -----> Using Ruby version: ruby-2.6.1
  15. -----> Installing dependencies using bundler 2.0.2
  16.        Running: bundle install --without development --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment
  17.        The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x86-mswin32, x64-mingw32, java. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x86-mswin32 x64-mingw32 java`.
  18.        Fetching gem metadata from https://rubygems.org/............
  19.        Fetching rake 12.3.2
  20.        Installing rake 12.3.2
  21.        Fetching concurrent-ruby 1.1.4
  22.        Fetching minitest 5.11.3
  23.        Fetching thread_safe 0.3.6
  24.        Installing minitest 5.11.3
  25.        Installing thread_safe 0.3.6
  26.        Installing concurrent-ruby 1.1.4
  27.        Fetching builder 3.2.3
  28.        Installing builder 3.2.3
  29.        Fetching erubi 1.8.0
  30.        Fetching mini_portile2 2.4.0
  31.        Installing erubi 1.8.0
  32.        Installing mini_portile2 2.4.0
  33.        Fetching crass 1.0.4
  34.        Fetching rack 2.0.6
  35.        Installing crass 1.0.4
  36.        Installing rack 2.0.6
  37.        Fetching nio4r 2.3.1
  38.        Fetching websocket-extensions 0.1.3
  39.        Installing websocket-extensions 0.1.3
  40.        Installing nio4r 2.3.1 with native extensions
  41.        Fetching mini_mime 1.0.1
  42.        Installing mini_mime 1.0.1
  43.        Fetching arel 9.0.0
  44.        Installing arel 9.0.0
  45.        Fetching mimemagic 0.3.3
  46.        Installing mimemagic 0.3.3
  47.        Fetching public_suffix 3.0.3
  48.        Installing public_suffix 3.0.3
  49.        Fetching io-like 0.3.0
  50.        Installing io-like 0.3.0
  51.        Fetching aws-eventstream 1.0.3
  52.        Installing aws-eventstream 1.0.3
  53.        Fetching aws-partitions 1.160.0
  54.        Installing aws-partitions 1.160.0
  55.        Fetching jmespath 1.4.0
  56.        Installing jmespath 1.4.0
  57.        Fetching msgpack 1.2.6
  58.        Using bundler 2.0.2
  59.        Fetching byebug 11.0.0
  60.        Installing msgpack 1.2.6 with native extensions
  61.        Installing byebug 11.0.0 with native extensions
  62.        Fetching regexp_parser 1.3.0
  63.        Installing regexp_parser 1.3.0
  64.        Fetching mime-types-data 3.2019.0331
  65.        Installing mime-types-data 3.2019.0331
  66.        Fetching ffi 1.10.0
  67.        Installing ffi 1.10.0 with native extensions
  68.        Fetching colorize 0.8.1
  69.        Installing colorize 0.8.1
  70.        Fetching connection_pool 2.2.2
  71.        Installing connection_pool 2.2.2
  72.        Fetching dalli 2.7.10
  73.        Installing dalli 2.7.10
  74.        Fetching diff-lcs 1.3
  75.        Installing diff-lcs 1.3
  76.        Fetching dotenv 2.7.1
  77.        Installing dotenv 2.7.1
  78.        Fetching method_source 0.9.2
  79.        Installing method_source 0.9.2
  80.        Fetching thor 0.20.3
  81.        Installing thor 0.20.3
  82.        Fetching erubis 2.7.0
  83.        Installing erubis 2.7.0
  84.        Fetching execjs 2.7.0
  85.        Installing execjs 2.7.0
  86.        Fetching multipart-post 2.1.0
  87.        Installing multipart-post 2.1.0
  88.        Fetching temple 0.8.0
  89.        Installing temple 0.8.0
  90.        Fetching tilt 2.0.9
  91.        Installing tilt 2.0.9
  92.        Fetching sexp_processor 4.11.0
  93.        Installing sexp_processor 4.11.0
  94.        Fetching http-accept 1.7.0
  95.        Installing http-accept 1.7.0
  96.        Fetching mini_magick 4.9.3
  97.        Installing mini_magick 4.9.3
  98.        Fetching multi_json 1.13.1
  99.        Installing multi_json 1.13.1
  100.        Fetching newrelic_rpm 6.4.0.356
  101.        Installing newrelic_rpm 6.4.0.356
  102.        Fetching oj 2.18.5
  103.        Installing oj 2.18.5 with native extensions
  104.        Fetching okcomputer 1.17.4
  105.        Installing okcomputer 1.17.4
  106.        Fetching puma 3.12.0
  107.        Installing puma 3.12.0 with native extensions
  108.        Fetching rb-fsevent 0.10.3
  109.        Installing rb-fsevent 0.10.3
  110.        Fetching redis 4.1.0
  111.        Installing redis 4.1.0
  112.        Fetching rspec-support 3.8.0
  113.        Installing rspec-support 3.8.0
  114.        Fetching rubyzip 1.2.2
  115.        Installing rubyzip 1.2.2
  116.        Fetching timecop 0.9.1
  117.        Installing timecop 0.9.1
  118.        Fetching turbolinks-source 5.2.0
  119.        Installing turbolinks-source 5.2.0
  120.        Fetching tzinfo 1.2.5
  121.        Installing tzinfo 1.2.5
  122.        Fetching nokogiri 1.10.1
  123.        Installing nokogiri 1.10.1 with native extensions
  124.        Fetching i18n 1.5.3
  125.        Installing i18n 1.5.3
  126.        Fetching websocket-driver 0.7.0
  127.        Installing websocket-driver 0.7.0 with native extensions
  128.        Fetching mail 2.7.1
  129.        Installing mail 2.7.1
  130.        Fetching rack-test 1.1.0
  131.        Installing rack-test 1.1.0
  132.        Fetching request_store 1.4.1
  133.        Installing request_store 1.4.1
  134.        Fetching rack-protection 2.0.5
  135.        Installing rack-protection 2.0.5
  136.        Fetching sprockets 3.7.2
  137.        Installing sprockets 3.7.2
  138.        Fetching marcel 0.3.3
  139.        Installing marcel 0.3.3
  140.        Fetching addressable 2.6.0
  141.        Installing addressable 2.6.0
  142.        Fetching archive-zip 0.11.0
  143.        Installing archive-zip 0.11.0
  144.        Fetching aws-sigv4 1.1.0
  145.        Installing aws-sigv4 1.1.0
  146.        Fetching mime-types 3.2.2
  147.        Installing mime-types 3.2.2
  148.        Fetching bootsnap 1.4.0
  149.        Installing bootsnap 1.4.0 with native extensions
  150.        Fetching uglifier 4.1.20
  151.        Installing uglifier 4.1.20
  152.        Fetching faraday 0.15.4
  153.        Installing faraday 0.15.4
  154.        Fetching haml 5.0.4
  155.        Installing haml 5.0.4
  156.        Fetching ruby_parser 3.12.0
  157.        Installing ruby_parser 3.12.0
  158.        Fetching rollbar 2.19.3
  159.        Installing rollbar 2.19.3
  160.        Fetching childprocess 0.9.0
  161.        Installing childprocess 0.9.0
  162.        Fetching rb-inotify 0.10.0
  163.        Installing rb-inotify 0.10.0
  164.        Fetching rspec-core 3.8.0
  165.        Fetching rspec-expectations 3.8.2
  166.        Installing rspec-core 3.8.0
  167.        Installing rspec-expectations 3.8.2
  168.        Fetching rspec-mocks 3.8.0
  169.        Installing rspec-mocks 3.8.0
  170.        Fetching turbolinks 5.2.0
  171.        Installing turbolinks 5.2.0
  172.        Fetching activesupport 5.2.2
  173.        Fetching sidekiq 5.2.6
  174.        Fetching aws-sdk-core 3.50.0
  175.        Installing activesupport 5.2.2
  176.        Installing sidekiq 5.2.6
  177.        Installing aws-sdk-core 3.50.0
  178.        Fetching loofah 2.2.3
  179.        Installing loofah 2.2.3
  180.        Fetching xpath 3.2.0
  181.        Installing xpath 3.2.0
  182.        Fetching chromedriver-helper 2.1.0
  183.        Installing chromedriver-helper 2.1.0
  184.        Fetching faraday_middleware 0.13.1
  185.        Installing faraday_middleware 0.13.1
  186.        Fetching html2haml 2.2.0
  187.        Installing html2haml 2.2.0
  188.        Fetching selenium-webdriver 3.141.0
  189.        Fetching sass-listen 4.0.0
  190.        Installing sass-listen 4.0.0
  191.        Fetching rails-html-sanitizer 1.0.4
  192.        Installing rails-html-sanitizer 1.0.4
  193.        Installing selenium-webdriver 3.141.0
  194.        Fetching aws-sdk-kms 1.18.0
  195.        Fetching capybara 3.13.2
  196.        Installing aws-sdk-kms 1.18.0
  197.        Fetching rails-dom-testing 2.0.3
  198.        Installing rails-dom-testing 2.0.3
  199.        Installing capybara 3.13.2
  200.        Fetching globalid 0.4.2
  201.        Installing globalid 0.4.2
  202.        Fetching activemodel 5.2.2
  203.        Installing activemodel 5.2.2
  204.        Fetching factory_bot 5.0.2
  205.        Fetching sass 3.7.3
  206.        Installing factory_bot 5.0.2
  207.        Installing sass 3.7.3
  208.        Fetching aws-sdk-s3 1.36.1
  209.        Installing aws-sdk-s3 1.36.1
  210.        Fetching actionview 5.2.2
  211.        Installing actionview 5.2.2
  212.        Fetching activejob 5.2.2
  213.        Fetching activerecord 5.2.2
  214.        Installing activejob 5.2.2
  215.        Fetching carrierwave 1.3.1
  216.        Installing activerecord 5.2.2
  217.        Installing carrierwave 1.3.1
  218.        Fetching carrierwave-aws 1.3.0
  219.        Fetching actionpack 5.2.2
  220.        Installing carrierwave-aws 1.3.0
  221.        Installing actionpack 5.2.2
  222.        Fetching actioncable 5.2.2
  223.        Fetching activestorage 5.2.2
  224.        Fetching actionmailer 5.2.2
  225.        Installing actioncable 5.2.2
  226.        Installing actionmailer 5.2.2
  227.        Installing activestorage 5.2.2
  228.        Fetching railties 5.2.2
  229.        Fetching sprockets-rails 3.2.1
  230.        Fetching rails-controller-testing 1.0.4
  231.        Installing railties 5.2.2
  232.        Installing sprockets-rails 3.2.1
  233.        Installing rails-controller-testing 1.0.4
  234.        Fetching dotenv-rails 2.7.1
  235.        Fetching haml-rails 1.0.0
  236.        Fetching lograge 0.11.2
  237.        Installing lograge 0.11.2
  238.        Installing dotenv-rails 2.7.1
  239.        Installing haml-rails 1.0.0
  240.        Fetching rails 5.2.2
  241.        Installing rails 5.2.2
  242.        Fetching rspec-rails 3.8.2
  243.        Fetching sass-rails 5.0.7
  244.        Installing sass-rails 5.0.7
  245.        Installing rspec-rails 3.8.2
  246.        Bundle complete! 39 Gemfile dependencies, 114 gems now installed.
  247.        Gems in the group development were not installed.
  248.        Bundled gems are installed into `./vendor/bundle`
  249.        Post-install message from i18n:
  250.  
  251.        HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
  252.        But that may break your application.
  253.  
  254.        Please check your Rails app for 'config.i18n.fallbacks = true'.
  255.        If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
  256.        'config.i18n.fallbacks = [I18n.default_locale]'.
  257.        If not, fallbacks will be broken in your app by I18n 1.1.x.
  258.  
  259.        For more info see:
  260.        https://github.com/svenfuchs/i18n/releases/tag/v1.1.0
  261.  
  262.        Post-install message from sass:
  263.  
  264.        Ruby Sass is deprecated and will be unmaintained as of 26 March 2019.
  265.  
  266.        * If you use Sass as a command-line tool, we recommend using Dart Sass, the new
  267.          primary implementation: https://sass-lang.com/install
  268.  
  269.        * If you use Sass as a plug-in for a Ruby web framework, we recommend using the
  270.          sassc gem: https://github.com/sass/sassc-ruby#readme
  271.  
  272.        * For more details, please refer to the Sass blog:
  273.          http://sass.logdown.com/posts/7081811
  274.  
  275.        Bundle completed (49.09s)
  276.        Cleaning up the bundler cache.
  277. -----> Installing node-v10.15.3-linux-x64
  278. -----> Clearing db:test:purge db:create db:structure:dump rake tasks
  279. -----> Detecting rake tasks
  280.  
  281.  
  282. -----> Node.js app detected
  283.  
  284. -----> Creating runtime environment
  285.  
  286.        NPM_CONFIG_LOGLEVEL=error
  287.        NPM_CONFIG_PRODUCTION=false
  288.        NODE_ENV=test
  289.        NODE_MODULES_CACHE=true
  290.        NODE_VERBOSE=false
  291.  
  292. -----> Installing binaries
  293.        engines.node (package.json):  10.x
  294.        engines.npm (package.json):   unspecified (use default)
  295.        engines.yarn (package.json):  >=1.13.0
  296.  
  297.        Resolving node version 10.x...
  298.        Downloading and installing node 10.16.0...
  299.        Using default npm version: 6.9.0
  300.        Resolving yarn version >=1.13.0...
  301.        Downloading and installing yarn (1.17.3)...
  302.        Installed yarn 1.17.3
  303.  
  304. -----> Prebuild
  305.        Running heroku-prebuild (yarn)
  306.        yarn run v1.17.3
  307.        $ yarn global add pipelines-private-npm && build-setup -r https://alula-npm.herokuapp.com
  308.        [1/4] Resolving packages...
  309.        [2/4] Fetching packages...
  310.        [3/4] Linking dependencies...
  311.        [4/4] Building fresh packages...
  312.        success Installed "pipelines-private-npm@0.1.0" with binaries:
  313.              - build-setup
  314.        /app/.npmrc:
  315.        registry=https://alula-npm.herokuapp.com/
  316.        //alula-npm.herokuapp.com/:_authToken=${NPM_TOKEN}
  317.  
  318.        Done in 0.78s.
  319.  
  320. -----> Installing dependencies
  321.        Installing node modules (yarn.lock)
  322.        yarn install v1.17.3
  323.        [1/4] Resolving packages...
  324.        [2/4] Fetching packages...
  325.        info fsevents@1.2.9: The platform "linux" is incompatible with this module.
  326.        info "fsevents@1.2.9" is an optional dependency and failed compatibility check. Excluding it from installation.
  327.        [3/4] Linking dependencies...
  328.        [4/4] Building fresh packages...
  329.        $ ./node_modules/protractor/bin/webdriver-manager update --versions.chrome 74.0.3729.6
  330.        curl -o /app/node_modules/webdriver-manager/downloads/chromedriver.xml https://chromedriver.storage.googleapis.com/
  331.        curl https://api.github.com/rate_limit -H "User-Agent: angular/webdriver-manager"
  332.        curl -o /app/node_modules/webdriver-manager/downloads/selenium-server.xml https://selenium-release.storage.googleapis.com/
  333.        curl -o /app/node_modules/webdriver-manager/downloads/geckodriver.json https://api.github.com/repos/mozilla/geckodriver/releases -H "User-Agent: angular/webdriver-manager"
  334.        curl -o /app/node_modules/webdriver-manager/downloads/chromedriver_linux64.zip https://chromedriver.storage.googleapis.com/74.0.3729.6/chromedriver_linux64.zip
  335.        curl -o /app/node_modules/webdriver-manager/downloads/selenium-server-standalone-4.0.0-alpha-1.jar https://selenium-release.storage.googleapis.com/4.0/selenium-server-standalone-4.0.0-alpha-1.jar
  336.        curl -o /app/node_modules/webdriver-manager/downloads/geckodriver-v0.24.0-linux64.tar.gz https://github.com/mozilla/geckodriver/releases/download/v0.24.0/geckodriver-v0.24.0-linux64.tar.gz
  337.        Done in 62.35s.
  338.  
  339. -----> Build
  340.        Detected both "build" and "heroku-postbuild" scripts
  341.        Running heroku-postbuild (yarn)
  342.        yarn run v1.17.3
  343.        $ yarn build:prod:with-increased-memory && yarn prettier:check && yarn lint && yarn test:ci
  344.        $ node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng build --prod  --output-hashing=all
  345.  
  346.        Date: 2019-07-18T15:42:07.140Z
  347.        Hash: 52b6ebf10d2bb244f491
  348.        Time: 244813ms
  349.        chunk {0} runtime.26209474bfa8dc87a77c.js, runtime.26209474bfa8dc87a77c.js.map (runtime) 1.46 kB [entry] [rendered]
  350.        chunk {1} main.0526491751f3dbd5e7f1.js, main.0526491751f3dbd5e7f1.js.map (main) 2.42 MB [initial] [rendered]
  351.        chunk {2} polyfills.881f135fc058d13a838f.js, polyfills.881f135fc058d13a838f.js.map (polyfills) 105 kB [initial] [rendered]
  352.        chunk {3} public.aa62e80ee302cd4c2831.css, public.aa62e80ee302cd4c2831.css.map (public) 150 kB [initial] [rendered]
  353.        chunk {4} styles.e629a84dc698d2ca21f9.css, styles.e629a84dc698d2ca21f9.css.map (styles) 163 kB [initial] [rendered]
  354.        $ prettier --check *.json 'client/**/*.{ts,json,html}'
  355.        Checking formatting...
  356.        All matched files use Prettier code style!
  357.        $ ng lint
  358.        Linting "connect"...
  359.  
  360.  
  361.        All files pass linting.
  362.        $ ng test --browsers=ChromeHeadlessCI --watch=false --code-coverage=false
  363.        18 07 2019 15:43:17.863:INFO [karma-server]: Karma v4.1.0 server started at http://0.0.0.0:9876/
  364.        18 07 2019 15:43:17.874:INFO [launcher]: Launching browsers ChromeHeadlessCI with concurrency unlimited
  365.        18 07 2019 15:43:17.879:INFO [launcher]: Starting browser ChromeHeadless
  366.  
  367.  
  368.  
  369.  
  370.  
  371.  
  372.  
  373.  
  374.        18 07 2019 15:44:17.884:WARN [launcher]: ChromeHeadless have not captured in 60000 ms, killing.
  375.        18 07 2019 15:44:19.886:WARN [launcher]: ChromeHeadless was not killed in 2000 ms, sending SIGKILL.
  376.        18 07 2019 15:44:21.887:WARN [launcher]: ChromeHeadless was not killed by SIGKILL in 2000 ms, continuing.
  377.  
  378.  
  379.  
  380. error Command failed with exit code 1.
  381.        info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
  382. error Command failed with exit code 1.
  383.        info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
  384.  
  385. -----> Build failed
  386.  
  387.        We're sorry this build is failing! You can troubleshoot common issues here:
  388.        https://devcenter.heroku.com/articles/troubleshooting-node-deploys
  389.  
  390.        If you're stuck, please submit a ticket so we can help:
  391.        https://help.heroku.com/
  392.  
  393.        Love,
  394.        Heroku
  395.  
  396. ~ $
  397. ~ $
  398. ~ $
  399. ~ $
  400. ~ $
  401. ~ $
  402. ~ $
  403. ~ $
  404. ~ $ exit
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top